# of

abstract fun <T, P : ValueSourceParameters?> of(valueSourceType: Class<out ValueSource<T, P>>, configuration: Action<in ValueSourceSpec<P>>): Provider<T>

Creates a Provider whose value is obtained from the given ValueSource.

#### Return

the provider, never returns null

#### Since

6.1

#### Parameters

valueSourceType

the type of the ValueSource

configuration

action to configure the parameters to the given ValueSource